#

API Docs for: 0.3.35
Show: Inherited Protected Private Deprecated

# Server Class

Defined in: `lib/server.js:4`
Module: yuidoc

Provides the `--server` server option for YUIDoc

- Index
- Methods
- Properties

## Item Index

### Methods

- clazz
- files
- home
- init
- modules
- parse
- routes
- start

### Properties

- _externalData

## Methods

### `clazz`

(

- `req`
- `res`

)

Defined in `lib/server.js:132`

`/classes` endpoint

#### Parameters:

- `req` Request

  Express request object

- `res` Response

  Express response object

### `files`

(

- `req`
- `res`

)

Defined in `lib/server.js:106`

`/files` endpoint

#### Parameters:

- `req` Request

  Express request object

- `res` Response

  Express response object

### `home`

(

- `req`
- `res`

)

Defined in `lib/server.js:164`

`/` endpoint

#### Parameters:

- `req` Request

  Express request object

- `res` Response

  Express response object

### `init`

()

Defined in `lib/server.js:176`

Creates the Express server and prep's YUI for serving

### `modules`

(

- `req`
- `res`

)

Defined in `lib/server.js:148`

`/modules` endpoint

#### Parameters:

- `req` Request

  Express request object

- `res` Response

  Express response object

### `parse`

(

- `req`
- `res`
- `next`

)

Defined in `lib/server.js:17`

Middleware to parse the API docs per request

#### Parameters:

- `req` Request

  Express request object

- `res` Response

  Express response object

- `next` Function

  Express next callback

### `routes`

()

Defined in `lib/server.js:35`

Create the routes used to serve YUIDoc files dynamically

### `start`

(

- `options`

)

Defined in `lib/server.js:194`

Start the server with the supplied options.

#### Parameters:

- `options` Object

  Server options

## Properties

### `_externalData`

Object private

Defined in `lib/server.js:10`

Cache for external mixed in data.